#include "orb_block_data.h"
#include "json_functions_bno.h"

orb_block_data::orb_block_data(
    std::string orbitid,
    const TimeJD& date,
    const TimeJD& beg,
    const TimeJD& end
)
    :
    m_orbitid(std::move(orbitid)),
    m_date(date),
    m_beg(beg),
    m_end(end),
    m_mind(-1)
{
}

orb_block_data::orb_block_data(
    std::string orbitid,
    const TimeJD& date,
    const TimeJD& beg,
    const TimeJD& end,
    const double mind,
    std::string next_orbitid
)
    :
    m_orbitid(std::move(orbitid)),
    m_next_orbitid(std::move(next_orbitid)),
    m_date(date),
    m_beg(beg),
    m_end(end),
    m_mind(mind)
{
}

void orb_block_data::load(const jsonval& parent)
{
    loadjson(parent, "id", m_orbitid);
    loadjson(parent, "date", m_date);
    loadjson(parent, "beg", m_beg);
    loadjson(parent, "end", m_end);
    loadjson(parent, "mind_km", m_mind, false);
}
